/* Shopping List Styles Here */
#ContainShoppingListModal {
    width: 712px;
    height: 500px;
    font-family:AvenirLTStd-Medium, Arial, Sans-Serif;
}
.shoppingListHeader {
    height:58px;
}
.shoppingListHeader h1 {
    font-weight: normal;
    font-size: 20px;
    color: #004ebc;
    text-align: left;
    margin: 10px 0 0 10px;
}
.shoppingListControls {
    width: 505px;
    margin-right: 32px;
    float: right;
    border-bottom: 1px solid #eee;
    margin-top: 5px;
}
.shoppingListControls .shoppingListCount {
    line-height:28px;
    margin:0 16px 0 8px;
    float:left;
}
.shoppingListControls .shareObject {
    margin-right:10px;
}
.shoppingListBody {
    height:400px;
}
.shoppingListUnitA {
    float:left;
}
.shoppingListUnitA img {
    margin:0 34px 0 14px;
    width:105px;
}
.shoppingListItem .itemInfo {
    width: 450px;
    min-height:68px;
    border-bottom:1px solid #eee;
    float:left;
    position:relative;
    padding: 14px 0 50px 8px;
}
.shoppingListUnitB {
    line-height:18px;
    font-family: AvenirLTStd-Light, Arial, sans-serif;
}
.shoppingListUnitB .ItemTitle {
    font-weight:normal;
    font-family: AvenirLTStd-Book, Arial, sans-serif;
    font-size:13px;
    color:Black;
}
.shoppingListUnitB .ItemDeal {
    font-weight:normal;
    font-size:21px;
    color:#db0049;
}
.shoppingListUnitB .ItemValidDatest {
    font-weight:normal;
    font-size:13px;
    color:#333;
}
.shoppingListUnitC {
    bottom: 10px;
    left: 8px;
    position: absolute;
}
.shoppingListUnitC .posRemoveBtn,
.shoppingListUnitC .posA2CBtn,
.shoppingListUnitC .posBOLBtn {
    float:left; 
}
.shoppingListUnitC .posRemoveBtn {
    margin-right:30px;
}
#ContainShoppingListModal .ShoppingList_iScroll {
    background: none repeat scroll 0 0 transparent;
    border: medium none;
    box-shadow: none;
    height: 400px;
    width: 660px;
    text-align: left;
}
#ContainShoppingListModal .scroll-content {
    width: 660px;
    padding-right:10px;
}
.sl_emptyTextHeader {
    padding:100px 0;
}
.sl_emptyTextHeader h2 {
    font-weight:normal;
    color:#333;
    font-size:20px;
}
.sl_emptyTextHeader h3 {
    font-weight:normal;
    font-size:15px;
    margin-top:10px;
    color:#333;
}
/* Email Dialog */
textarea {
    resize: none;
}
.emailForm {
    height:336px;
    width:300px;
}
.emailForm_Wrapper {
    height:336px;
    width:300px;
    text-align:left;
}
.emailForm.emailFormContainerOnSuccess .emailForm_Wrapper {
    height:140px;
}
.emailForm .header {
    border-bottom:1px solid #ccc;
    padding:10px 0;
}
.emailForm.emailFormContainerOnSuccess .header {
    display:none;
}
.emailForm .title {
    color:#004ebc;
    font-size:20px;
}
.emailForm .posCloseBtn {
    position:absolute;
    top:10px;
    right:10px;
}
.emailForm input,
.emailForm textarea {
    width:280px;
    border:1px solid #ccc;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none; 
    border-radius: 5px;
    padding-left:10px;
    margin:6px 0 ;
}
.emailForm input {
    height:30px;
    line-height:24px;
}
.emailForm textarea {
    height:60px;
    padding-top:10px;
}
.emailForm label {
    font-size:13px;
    color:#333;
    margin:20px 0 0 ;
    display:inline-block;
}
.emailForm label.SMSAgreeLabel {
    font-size: 12px;
    line-height: 15px;
}
.emailForm .instruction {
    font-size:11px;
    color:#666;
    margin-top:-4px;
}
.emailForm .errorText {
    color:Red;
}
.posSendBtn {
    position:absolute;
    bottom:20px;
    right:10px;
}
#EmailForm_Success {
    height:140px;
    width:300px;
}
.EmailForm_Success p {
    text-align:center;
    font-size:16px;
    color:#333;
    margin-top:50px;
}

@media only screen and (min-width: 960px) and (max-width: 1024px) {
    /* iPad/tablet Landscape */
    #ShoppingListDetails {
        height: 400px;
        overflow: hidden;
        position:relative;
    }
    #ContainShoppingListModal .ShoppingList_iScroll {
        background: none repeat scroll 0 0 transparent;
        border: medium none;
        box-shadow: none;
        height: auto;
        width: auto;
        text-align: left;
    }
    #ContainShoppingListModal .scroll-content {
        width: auto;
        padding-right:10px;
        font-size:21px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 959px) {
    /* iPad/tablet Portrait */
    #ShoppingListDetails {
        height: 400px;
        overflow: hidden;
        position:relative;
    }
    #ContainShoppingListModal .ShoppingList_iScroll {
        background: none repeat scroll 0 0 transparent;
        border: medium none;
        box-shadow: none;
        height: auto;
        width: auto;
        text-align: left;
    }
    #ContainShoppingListModal .scroll-content {
        width: auto;
        padding-right:10px;
    }
}
@media only screen and (min-width: 320px) and (max-width: 767px) {
        /* Mobile */
        #ContainShoppingListModal {
            height:auto;
            width:auto;
        }
        .shoppingListHeader {
            height:35px;
            position:relative;
        }
        .shoppingListHeader h1 {
            font-size: 14px;
            color: #71bd43;
            position: static;
            margin:4px 0 0 0 ;
            font-family: AvenirLTStd-Black, arial, sans-serif;
            text-align: left;
            float:left;
            width: 120px;
        }
        .shoppingListControls {
            width:84px;
            margin-right:0;
            margin-top:-2px;
            border:none;
        }
        .shoppingListControls .shoppingListCount {
            margin:0;
            font-size:14px;
            color: #8a8a8a;
        }
        .shoppingListControls .emailIcon  {
            margin:0;
            float:right;
        }
        .shoppingListBody {
            height:auto;
        }
        .shoppingListItem {
            border-bottom:1px solid #ccc;
        }
        .shoppingListItem:last-child {
            border:none;
        }
        .shoppingListUnitA {
            width:40%;
            min-width:130px;
            text-align:center;
            margin:16px 0;
        }
        .shoppingListUnitA img{
            width:auto;
            margin:0;
            float:none;
        }
        .shoppingListItem .itemInfo {
            float:right;
            border:0;
            width:45%;
            margin-top:16px;
            padding:0;
        }
        .shareContain {
            margin-top:5px;
        }
        .shareObject {
            /*margin-right:20px;*/
        }
        .shoppingListUnitC {
            margin:16px 0;
            position:static;
        }
        .shoppingListUnitC .posRemoveBtn, 
        .shoppingListUnitC .posA2CBtn, 
        .shoppingListUnitC .posBOLBtn {
            margin:5px 5px 5px 0;
        }
        
        #ContainShoppingListModal .ShoppingList_iScroll {
            height:auto;
            width: auto;
        }
        .sl_emptyTextHeader h2 {
            font-weight:normal;
            color:#333;
            font-size:20px;
        }
        .sl_emptyTextHeader {
            padding:50px 25px;
        }

}
@media only screen and (min-width: 480px) and (max-width: 767px) {
    /* mobile Landscape */
        .shoppingListItem .itemInfo {
            width:55%;
    }
}
